resources:
  - "@type": "type.googleapis.com/envoy.extensions.transport_sockets.tls.v3.Secret"
    name: usm-agent_cert
    # TLS certificate data containing USM Agent server certificate and private key for TLS transport with downstream CP components
    tls_certificate:
      certificate_chain:
        filename: {{.ServerCertFile}}
      private_key:
        filename: {{.ServerKeyFile}}
      # An optional password if the server.key is password protected
      password:
        filename: {{.ServerKeyPasswordFile}}
